<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/feedforward neural network/model/inc/AnnProperties.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('_ann_properties_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AnnProperties.h</div></div>
</div><!--header-->
<div class="contents">
<a href="_ann_properties_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">* Copyright (c) 2020 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">* This program and the accompanying materials are made available under the</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">* terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">* http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">* SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">*</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">* @file AnnProperties.h</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">* @brief File containing declaration of enums and structs for ann properties.</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">*</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">**********************************************************************************/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;vector&gt;</span>   <span class="comment">// std::vector</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;memory&gt;</span>   <span class="comment">// std::shared_ptr</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#include &quot;<a class="code" href="model_data_8h.html">modelData.h</a>&quot;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="scaler_8h.html">scaler.h</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacemelon.html">melon</a> {</div>
<div class="foldopen" id="foldopen00030" data-start="{" data-end="};">
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="namespacemelon.html#a48f12885945641a41597e6668940dc73">   30</a></span>    <span class="keyword">enum</span> <a class="code hl_enumeration" href="namespacemelon.html#a48f12885945641a41597e6668940dc73">ACTIVATION_FUNCTION</a> {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="namespacemelon.html#a48f12885945641a41597e6668940dc73a2f195b9787f598a7ee661a881c474e3b">   31</a></span>        <a class="code hl_enumvalue" href="namespacemelon.html#a48f12885945641a41597e6668940dc73a2f195b9787f598a7ee661a881c474e3b">PURE_LIN</a> = 0,           </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="namespacemelon.html#a48f12885945641a41597e6668940dc73ad3d7d3b5435748e6d590a93d042de6c2">   32</a></span>        <a class="code hl_enumvalue" href="namespacemelon.html#a48f12885945641a41597e6668940dc73ad3d7d3b5435748e6d590a93d042de6c2">TANH</a>,                   </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="namespacemelon.html#a48f12885945641a41597e6668940dc73acb18be48f9330d10bfd46e4046f09d3c">   33</a></span>        <a class="code hl_enumvalue" href="namespacemelon.html#a48f12885945641a41597e6668940dc73acb18be48f9330d10bfd46e4046f09d3c">RELU</a>,                   </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_enumvalue" href="namespacemelon.html#a48f12885945641a41597e6668940dc73a48a94bc178c62695a3d5142cb8b984ed">RELU6</a>                   </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="namespacemelon.html#a48f12885945641a41597e6668940dc73a48a94bc178c62695a3d5142cb8b984ed">   35</a></span>    };</div>
</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="foldopen" id="foldopen00042" data-start="{" data-end="};">
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html">   42</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a> {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#a6a3a954be4652ddccc8790fca4830a3b">   43</a></span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#a6a3a954be4652ddccc8790fca4830a3b">numLayers</a>;                                          </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#a1e7a81af797e4f9aa27e70f47c8735e8">   44</a></span>        <span class="keywordtype">int</span> <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#a1e7a81af797e4f9aa27e70f47c8735e8">inputSize</a>;                                          </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#a884e5315a0f182176426a8be18436715">   45</a></span>        std::vector&lt;int&gt; <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#a884e5315a0f182176426a8be18436715">layerSize</a>;                             </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#a105f394f328ec4db9f3b04a42fa620d8">   46</a></span>        std::vector&lt;ACTIVATION_FUNCTION&gt; <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#a105f394f328ec4db9f3b04a42fa620d8">activationFunction</a>;    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#a53f444127c72cd4974588d8fe5bde250">   47</a></span>        std::vector&lt;int&gt; <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#a53f444127c72cd4974588d8fe5bde250">biasConnect</a>;                           </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#aac68a367dad6322936825ea88bcc5a68">   48</a></span>        std::vector&lt;int&gt; <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#aac68a367dad6322936825ea88bcc5a68">inputConnect</a>;                          </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#ac38f895d9a1732edfbb473613b20b504">   49</a></span>        std::vector&lt;std::vector&lt;int&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#ac38f895d9a1732edfbb473613b20b504">layerConnect</a>;             </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#aa74231a71fc4e0d1380b441ece0b527c">   50</a></span>        <span class="keywordtype">bool</span> <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#aa74231a71fc4e0d1380b441ece0b527c">scaledInput</a>;                                       </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_structure.html#a9506ef28c29e149fe0283ad7311fa275">   51</a></span>        <span class="keywordtype">bool</span> <a class="code hl_variable" href="structmelon_1_1_ann_structure.html#a9506ef28c29e149fe0283ad7311fa275">normalizedOutput</a>;                                  </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    };</div>
</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="foldopen" id="foldopen00059" data-start="{" data-end="};">
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_weights.html">   59</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structmelon_1_1_ann_weights.html">AnnWeights</a> {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_weights.html#ae8127c6eb68e821eb3df52150a179539">   60</a></span>        std::vector&lt;std::vector&lt;double&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_ann_weights.html#ae8127c6eb68e821eb3df52150a179539">biasWeight</a>;                                </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_weights.html#a97fb1295c33adb2ebff5e5f6f8625fbe">   61</a></span>        std::vector&lt;std::vector&lt;std::vector&lt;double&gt;&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_ann_weights.html#a97fb1295c33adb2ebff5e5f6f8625fbe">inputWeight</a>;                  </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_weights.html#a2ffeb2ea0bfb3934f77480aba2e356bd">   62</a></span>        std::vector&lt;std::vector&lt;std::vector&lt;std::vector&lt;double&gt;&gt;&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_ann_weights.html#a2ffeb2ea0bfb3934f77480aba2e356bd">layerWeight</a>;     </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    };</div>
</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="foldopen" id="foldopen00070" data-start="{" data-end="};">
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_normalization_parameters.html">   70</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structmelon_1_1_ann_normalization_parameters.html">AnnNormalizationParameters</a> {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_normalization_parameters.html#a9cbed7c9cf95196ed059a5fdd41d2a10">   71</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_ann_normalization_parameters.html#a9cbed7c9cf95196ed059a5fdd41d2a10">inputLowerBound</a>;                </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_normalization_parameters.html#ab68e5a77ffed12abe0d592651fcaf098">   72</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_ann_normalization_parameters.html#ab68e5a77ffed12abe0d592651fcaf098">inputUpperBound</a>;                </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_normalization_parameters.html#a858157c7ba40e5d6c1e325ad5d719a3a">   73</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_ann_normalization_parameters.html#a858157c7ba40e5d6c1e325ad5d719a3a">outputDenormalizationFactor</a>;    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_normalization_parameters.html#a2e30539514daa68b2b23dad410a32010">   74</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_ann_normalization_parameters.html#a2e30539514daa68b2b23dad410a32010">outputDenormalizationOffset</a>;    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    };</div>
</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="foldopen" id="foldopen00083" data-start="{" data-end="};">
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_data.html">   83</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structmelon_1_1_ann_data.html">AnnData</a> : <span class="keyword">virtual</span> <span class="keyword">public</span> <a class="code hl_struct" href="struct_model_data.html">ModelData</a> {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_data.html#a4853bc5a22fda4f8e831cc31a1b5a45e">   84</a></span>        <a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a> <a class="code hl_variable" href="structmelon_1_1_ann_data.html#a4853bc5a22fda4f8e831cc31a1b5a45e">structure</a>;                                 </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_data.html#abac66b3fe2754c2e89c45ec199e3d18b">   85</a></span>        <a class="code hl_struct" href="structmelon_1_1_ann_weights.html">AnnWeights</a> <a class="code hl_variable" href="structmelon_1_1_ann_data.html#abac66b3fe2754c2e89c45ec199e3d18b">weights</a>;                                     </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_data.html#a62a1f36d606e7de154323abdf16c3743">   86</a></span>        std::shared_ptr&lt;ScalerData&gt; <a class="code hl_variable" href="structmelon_1_1_ann_data.html#a62a1f36d606e7de154323abdf16c3743">inputScalerData</a>;            </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="structmelon_1_1_ann_data.html#a7771dffb6c28714792c03d9d662240a8">   87</a></span>        std::shared_ptr&lt;ScalerData&gt; <a class="code hl_variable" href="structmelon_1_1_ann_data.html#a7771dffb6c28714792c03d9d662240a8">outputScalerData</a>;           </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    };</div>
</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>}</div>
<div class="ttc" id="amodel_data_8h_html"><div class="ttname"><a href="model_data_8h.html">modelData.h</a></div></div>
<div class="ttc" id="anamespacemelon_html"><div class="ttname"><a href="namespacemelon.html">melon</a></div><div class="ttdef"><b>Definition</b> kernel.h:21</div></div>
<div class="ttc" id="anamespacemelon_html_a48f12885945641a41597e6668940dc73"><div class="ttname"><a href="namespacemelon.html#a48f12885945641a41597e6668940dc73">melon::ACTIVATION_FUNCTION</a></div><div class="ttdeci">ACTIVATION_FUNCTION</div><div class="ttdoc">Enum for representing the available types of scaler parameters.</div><div class="ttdef"><b>Definition</b> AnnProperties.h:30</div></div>
<div class="ttc" id="anamespacemelon_html_a48f12885945641a41597e6668940dc73a2f195b9787f598a7ee661a881c474e3b"><div class="ttname"><a href="namespacemelon.html#a48f12885945641a41597e6668940dc73a2f195b9787f598a7ee661a881c474e3b">melon::PURE_LIN</a></div><div class="ttdeci">@ PURE_LIN</div><div class="ttdef"><b>Definition</b> AnnProperties.h:31</div></div>
<div class="ttc" id="anamespacemelon_html_a48f12885945641a41597e6668940dc73a48a94bc178c62695a3d5142cb8b984ed"><div class="ttname"><a href="namespacemelon.html#a48f12885945641a41597e6668940dc73a48a94bc178c62695a3d5142cb8b984ed">melon::RELU6</a></div><div class="ttdeci">@ RELU6</div><div class="ttdef"><b>Definition</b> AnnProperties.h:34</div></div>
<div class="ttc" id="anamespacemelon_html_a48f12885945641a41597e6668940dc73acb18be48f9330d10bfd46e4046f09d3c"><div class="ttname"><a href="namespacemelon.html#a48f12885945641a41597e6668940dc73acb18be48f9330d10bfd46e4046f09d3c">melon::RELU</a></div><div class="ttdeci">@ RELU</div><div class="ttdef"><b>Definition</b> AnnProperties.h:33</div></div>
<div class="ttc" id="anamespacemelon_html_a48f12885945641a41597e6668940dc73ad3d7d3b5435748e6d590a93d042de6c2"><div class="ttname"><a href="namespacemelon.html#a48f12885945641a41597e6668940dc73ad3d7d3b5435748e6d590a93d042de6c2">melon::TANH</a></div><div class="ttdeci">@ TANH</div><div class="ttdef"><b>Definition</b> AnnProperties.h:32</div></div>
<div class="ttc" id="ascaler_8h_html"><div class="ttname"><a href="scaler_8h.html">scaler.h</a></div></div>
<div class="ttc" id="astruct_model_data_html"><div class="ttname"><a href="struct_model_data.html">ModelData</a></div><div class="ttdoc">Abstract class from which specific model data object can be derived and enabling polymorphism.</div><div class="ttdef"><b>Definition</b> modelData.h:22</div></div>
<div class="ttc" id="astructmelon_1_1_ann_data_html"><div class="ttname"><a href="structmelon_1_1_ann_data.html">melon::AnnData</a></div><div class="ttdoc">struct containing all information regarding the structure of a feedforward neural network</div><div class="ttdef"><b>Definition</b> AnnProperties.h:83</div></div>
<div class="ttc" id="astructmelon_1_1_ann_data_html_a4853bc5a22fda4f8e831cc31a1b5a45e"><div class="ttname"><a href="structmelon_1_1_ann_data.html#a4853bc5a22fda4f8e831cc31a1b5a45e">melon::AnnData::structure</a></div><div class="ttdeci">AnnStructure structure</div><div class="ttdef"><b>Definition</b> AnnProperties.h:84</div></div>
<div class="ttc" id="astructmelon_1_1_ann_data_html_a62a1f36d606e7de154323abdf16c3743"><div class="ttname"><a href="structmelon_1_1_ann_data.html#a62a1f36d606e7de154323abdf16c3743">melon::AnnData::inputScalerData</a></div><div class="ttdeci">std::shared_ptr&lt; ScalerData &gt; inputScalerData</div><div class="ttdef"><b>Definition</b> AnnProperties.h:86</div></div>
<div class="ttc" id="astructmelon_1_1_ann_data_html_a7771dffb6c28714792c03d9d662240a8"><div class="ttname"><a href="structmelon_1_1_ann_data.html#a7771dffb6c28714792c03d9d662240a8">melon::AnnData::outputScalerData</a></div><div class="ttdeci">std::shared_ptr&lt; ScalerData &gt; outputScalerData</div><div class="ttdef"><b>Definition</b> AnnProperties.h:87</div></div>
<div class="ttc" id="astructmelon_1_1_ann_data_html_abac66b3fe2754c2e89c45ec199e3d18b"><div class="ttname"><a href="structmelon_1_1_ann_data.html#abac66b3fe2754c2e89c45ec199e3d18b">melon::AnnData::weights</a></div><div class="ttdeci">AnnWeights weights</div><div class="ttdef"><b>Definition</b> AnnProperties.h:85</div></div>
<div class="ttc" id="astructmelon_1_1_ann_normalization_parameters_html"><div class="ttname"><a href="structmelon_1_1_ann_normalization_parameters.html">melon::AnnNormalizationParameters</a></div><div class="ttdoc">struct containing the parameters required for input normalization and output denormalization of a fee...</div><div class="ttdef"><b>Definition</b> AnnProperties.h:70</div></div>
<div class="ttc" id="astructmelon_1_1_ann_normalization_parameters_html_a2e30539514daa68b2b23dad410a32010"><div class="ttname"><a href="structmelon_1_1_ann_normalization_parameters.html#a2e30539514daa68b2b23dad410a32010">melon::AnnNormalizationParameters::outputDenormalizationOffset</a></div><div class="ttdeci">std::vector&lt; double &gt; outputDenormalizationOffset</div><div class="ttdef"><b>Definition</b> AnnProperties.h:74</div></div>
<div class="ttc" id="astructmelon_1_1_ann_normalization_parameters_html_a858157c7ba40e5d6c1e325ad5d719a3a"><div class="ttname"><a href="structmelon_1_1_ann_normalization_parameters.html#a858157c7ba40e5d6c1e325ad5d719a3a">melon::AnnNormalizationParameters::outputDenormalizationFactor</a></div><div class="ttdeci">std::vector&lt; double &gt; outputDenormalizationFactor</div><div class="ttdef"><b>Definition</b> AnnProperties.h:73</div></div>
<div class="ttc" id="astructmelon_1_1_ann_normalization_parameters_html_a9cbed7c9cf95196ed059a5fdd41d2a10"><div class="ttname"><a href="structmelon_1_1_ann_normalization_parameters.html#a9cbed7c9cf95196ed059a5fdd41d2a10">melon::AnnNormalizationParameters::inputLowerBound</a></div><div class="ttdeci">std::vector&lt; double &gt; inputLowerBound</div><div class="ttdef"><b>Definition</b> AnnProperties.h:71</div></div>
<div class="ttc" id="astructmelon_1_1_ann_normalization_parameters_html_ab68e5a77ffed12abe0d592651fcaf098"><div class="ttname"><a href="structmelon_1_1_ann_normalization_parameters.html#ab68e5a77ffed12abe0d592651fcaf098">melon::AnnNormalizationParameters::inputUpperBound</a></div><div class="ttdeci">std::vector&lt; double &gt; inputUpperBound</div><div class="ttdef"><b>Definition</b> AnnProperties.h:72</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html"><div class="ttname"><a href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></div><div class="ttdoc">struct containing all information regarding the structure of a feedforward neural network</div><div class="ttdef"><b>Definition</b> AnnProperties.h:42</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_a105f394f328ec4db9f3b04a42fa620d8"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#a105f394f328ec4db9f3b04a42fa620d8">melon::AnnStructure::activationFunction</a></div><div class="ttdeci">std::vector&lt; ACTIVATION_FUNCTION &gt; activationFunction</div><div class="ttdef"><b>Definition</b> AnnProperties.h:46</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_a1e7a81af797e4f9aa27e70f47c8735e8"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#a1e7a81af797e4f9aa27e70f47c8735e8">melon::AnnStructure::inputSize</a></div><div class="ttdeci">int inputSize</div><div class="ttdef"><b>Definition</b> AnnProperties.h:44</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_a53f444127c72cd4974588d8fe5bde250"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#a53f444127c72cd4974588d8fe5bde250">melon::AnnStructure::biasConnect</a></div><div class="ttdeci">std::vector&lt; int &gt; biasConnect</div><div class="ttdef"><b>Definition</b> AnnProperties.h:47</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_a6a3a954be4652ddccc8790fca4830a3b"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#a6a3a954be4652ddccc8790fca4830a3b">melon::AnnStructure::numLayers</a></div><div class="ttdeci">int numLayers</div><div class="ttdef"><b>Definition</b> AnnProperties.h:43</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_a884e5315a0f182176426a8be18436715"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#a884e5315a0f182176426a8be18436715">melon::AnnStructure::layerSize</a></div><div class="ttdeci">std::vector&lt; int &gt; layerSize</div><div class="ttdef"><b>Definition</b> AnnProperties.h:45</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_a9506ef28c29e149fe0283ad7311fa275"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#a9506ef28c29e149fe0283ad7311fa275">melon::AnnStructure::normalizedOutput</a></div><div class="ttdeci">bool normalizedOutput</div><div class="ttdef"><b>Definition</b> AnnProperties.h:51</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_aa74231a71fc4e0d1380b441ece0b527c"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#aa74231a71fc4e0d1380b441ece0b527c">melon::AnnStructure::scaledInput</a></div><div class="ttdeci">bool scaledInput</div><div class="ttdef"><b>Definition</b> AnnProperties.h:50</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_aac68a367dad6322936825ea88bcc5a68"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#aac68a367dad6322936825ea88bcc5a68">melon::AnnStructure::inputConnect</a></div><div class="ttdeci">std::vector&lt; int &gt; inputConnect</div><div class="ttdef"><b>Definition</b> AnnProperties.h:48</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html_ac38f895d9a1732edfbb473613b20b504"><div class="ttname"><a href="structmelon_1_1_ann_structure.html#ac38f895d9a1732edfbb473613b20b504">melon::AnnStructure::layerConnect</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; int &gt; &gt; layerConnect</div><div class="ttdef"><b>Definition</b> AnnProperties.h:49</div></div>
<div class="ttc" id="astructmelon_1_1_ann_weights_html"><div class="ttname"><a href="structmelon_1_1_ann_weights.html">melon::AnnWeights</a></div><div class="ttdoc">struct containing the different weights of a feedforward neural network</div><div class="ttdef"><b>Definition</b> AnnProperties.h:59</div></div>
<div class="ttc" id="astructmelon_1_1_ann_weights_html_a2ffeb2ea0bfb3934f77480aba2e356bd"><div class="ttname"><a href="structmelon_1_1_ann_weights.html#a2ffeb2ea0bfb3934f77480aba2e356bd">melon::AnnWeights::layerWeight</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::vector&lt; std::vector&lt; double &gt; &gt; &gt; &gt; layerWeight</div><div class="ttdef"><b>Definition</b> AnnProperties.h:62</div></div>
<div class="ttc" id="astructmelon_1_1_ann_weights_html_a97fb1295c33adb2ebff5e5f6f8625fbe"><div class="ttname"><a href="structmelon_1_1_ann_weights.html#a97fb1295c33adb2ebff5e5f6f8625fbe">melon::AnnWeights::inputWeight</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::vector&lt; double &gt; &gt; &gt; inputWeight</div><div class="ttdef"><b>Definition</b> AnnProperties.h:61</div></div>
<div class="ttc" id="astructmelon_1_1_ann_weights_html_ae8127c6eb68e821eb3df52150a179539"><div class="ttname"><a href="structmelon_1_1_ann_weights.html#ae8127c6eb68e821eb3df52150a179539">melon::AnnWeights::biasWeight</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; double &gt; &gt; biasWeight</div><div class="ttdef"><b>Definition</b> AnnProperties.h:60</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_81c62c849c41b038c690bb0249c57a89.html">model</a></li><li class="navelem"><a class="el" href="dir_0483e226728de3cf46b78d7534efffda.html">inc</a></li><li class="navelem"><a class="el" href="_ann_properties_8h.html">AnnProperties.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
